# Uses of Class
java.util.zip.ZipFile

Packages that use ZipFile
Package
Description
java.util.jar
Provides classes for reading and writing the JAR (Java ARchive) file format, which is based on the standard ZIP file format with an optional manifest file.
jdk.security.jarsigner
This package defines APIs for signing jar files.

## Uses of ZipFile in java.util.jar

Subclasses of ZipFile in java.util.jar
Modifier and Type
Class
Description
`class`
`JarFile`
The `JarFile` class is used to read the contents of a jar file from any file that can be opened with `java.io.RandomAccessFile`.

## Uses of ZipFile in jdk.security.jarsigner

Methods in jdk.security.jarsigner with parameters of type ZipFile
Modifier and Type
Method
Description
`void`
JarSigner.`sign(ZipFile file, OutputStream os)`
Signs a file into an `OutputStream`.